package net.sf.sido.spring.mvc;

import net.sf.sido.DataFactory;
import net.sf.sido.io.json.JSONDataObjectReader;
import net.sf.sido.io.json.JSONDataObjectWriter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;

import java.nio.charset.Charset;

public class JSONDataObjectHttpMessageConverter<T> extends AbstractDataObjectHttpMessageConverter<T, String> {

    @Autowired
    public JSONDataObjectHttpMessageConverter(DataFactory factory) {
        super(new MediaType("sido", "json", Charset.forName("UTF-8")), factory, new JSONDataObjectReader(), new JSONDataObjectWriter());
    }

}
